Repair gateway apicrds
curl --request POST \
--url https://{host}/api/supervisors/{name}/onboarding/gateway-api-repair \
--cookie k8s-gate-session=import requests
url = "https://{host}/api/supervisors/{name}/onboarding/gateway-api-repair"
headers = {"cookie": "k8s-gate-session="}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {cookie: 'k8s-gate-session='}};
fetch('https://{host}/api/supervisors/{name}/onboarding/gateway-api-repair', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/api/supervisors/{name}/onboarding/gateway-api-repair",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_COOKIE => "k8s-gate-session=",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{host}/api/supervisors/{name}/onboarding/gateway-api-repair"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("cookie", "k8s-gate-session=")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{host}/api/supervisors/{name}/onboarding/gateway-api-repair")
.header("cookie", "k8s-gate-session=")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/api/supervisors/{name}/onboarding/gateway-api-repair")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["cookie"] = 'k8s-gate-session='
response = http.request(request)
puts response.read_body{
"applied": [
{
"action": "<string>",
"apiVersion": "<string>",
"kind": "<string>",
"name": "<string>",
"error": "<string>",
"filePath": "<string>",
"namespace": "<string>"
}
],
"drift": {
"bundleFloor": "<string>",
"certSecretsPresent": 123,
"ciliumMinorRead": true,
"engine": "<string>",
"engineRead": true,
"expectedCrds": [
"<string>"
],
"expectedVersion": "<string>",
"extra": [
"<string>"
],
"floorUnmet": true,
"gateways": 123,
"missing": [
"<string>"
],
"missingOptionalOnly": true,
"secretsChecked": true,
"severity": "<string>",
"stale": [
{
"channel": "<string>",
"name": "<string>",
"version": "<string>"
}
],
"summary": "<string>",
"syncedSecrets": 123,
"title": "<string>",
"tlsGateways": 123,
"ciliumMinor": "<string>",
"remedy": "<string>",
"secretsNamespace": "<string>"
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}platform-settings
Repair gateway apicrds
Gateway API CRD drift — the bundle is applied at install time and
Authorisation: cilium:Apply on krn:celum:supervisor:{name}:cilium:*.
POST
/
api
/
supervisors
/
{name}
/
onboarding
/
gateway-api-repair
Repair gateway apicrds
curl --request POST \
--url https://{host}/api/supervisors/{name}/onboarding/gateway-api-repair \
--cookie k8s-gate-session=import requests
url = "https://{host}/api/supervisors/{name}/onboarding/gateway-api-repair"
headers = {"cookie": "k8s-gate-session="}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {cookie: 'k8s-gate-session='}};
fetch('https://{host}/api/supervisors/{name}/onboarding/gateway-api-repair', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/api/supervisors/{name}/onboarding/gateway-api-repair",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_COOKIE => "k8s-gate-session=",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{host}/api/supervisors/{name}/onboarding/gateway-api-repair"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("cookie", "k8s-gate-session=")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{host}/api/supervisors/{name}/onboarding/gateway-api-repair")
.header("cookie", "k8s-gate-session=")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/api/supervisors/{name}/onboarding/gateway-api-repair")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["cookie"] = 'k8s-gate-session='
response = http.request(request)
puts response.read_body{
"applied": [
{
"action": "<string>",
"apiVersion": "<string>",
"kind": "<string>",
"name": "<string>",
"error": "<string>",
"filePath": "<string>",
"namespace": "<string>"
}
],
"drift": {
"bundleFloor": "<string>",
"certSecretsPresent": 123,
"ciliumMinorRead": true,
"engine": "<string>",
"engineRead": true,
"expectedCrds": [
"<string>"
],
"expectedVersion": "<string>",
"extra": [
"<string>"
],
"floorUnmet": true,
"gateways": 123,
"missing": [
"<string>"
],
"missingOptionalOnly": true,
"secretsChecked": true,
"severity": "<string>",
"stale": [
{
"channel": "<string>",
"name": "<string>",
"version": "<string>"
}
],
"summary": "<string>",
"syncedSecrets": 123,
"title": "<string>",
"tlsGateways": 123,
"ciliumMinor": "<string>",
"remedy": "<string>",
"secretsNamespace": "<string>"
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
sessionCookiebearerToken
The session cookie issued by the OIDC sign-in flow. This is what a browser uses.
Path Parameters
The supervisor's name, as registered under Administration → Supervisors.